Name:           puzzlemoppet
Version:        20150420
Release:        %mkrel 8
Summary:        Challenging 3D puzzle game
Group:          Games/Arcade
License:        WTFPL and CC-BY-SA 3.0 and GPLv3+
URL:            https://bitbucket.org/Knitter/puzzlemoppet
Source0:        %{name}-%{version}.tar.xz
Patch0:         puzzlemoppet-20141011-mga-install-paths.patch

BuildRequires:  cmake
BuildRequires:  irrlicht-devel
BuildRequires:  pkgconfig(ode)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(xrandr)

%description
A challenging 3D puzzle game where you must guide the Moppet through the vast
and eternal void of space by solving the various and beautiful puzzles thrown
at you.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DBUILD_FOR_INSTALL=ON
%cmake_build

%install
%cmake_install

install -D -m644 icons/main.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Puzzle Moppet
GenericName=3D puzzle game
Comment=Challenging 3D puzzle game
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;LogicGame;
Terminal=false
EOF

%files
%doc README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.png


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 20150420-8.mga9
+ Revision: 1837628
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 20150420-7.mga8
+ Revision: 1524235
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed Mar 27 2019 daviddavid <daviddavid> 20150420-6.mga7
+ Revision: 1380501
- rebuild for new ode 0.16
- fix comment key value from desktop file

* Sun Sep 23 2018 umeabot <umeabot> 20150420-5.mga7
+ Revision: 1300415
- Mageia 7 Mass Rebuild

* Thu May 25 2017 akien <akien> 20150420-4.mga6
+ Revision: 1104602
- Rebuild for ode 0.15.2

* Sun Nov 13 2016 akien <akien> 20150420-3.mga6
+ Revision: 1066994
- Rebuild for new libode

* Tue Feb 16 2016 umeabot <umeabot> 20150420-2.mga6
+ Revision: 962181
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 akien <akien> 20150420-1.mga6
+ Revision: 881911
- New dev snapshot, 2015-04-20

* Sat Dec 27 2014 akien <akien> 20141011-1.mga5
+ Revision: 806685
- imported package puzzlemoppet

